GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
tdesc_reg Struct Reference
Inheritance diagram for tdesc_reg:

## Public Member Functions
| tdesc_reg (struct tdesc_feature *feature, const std::string &name_, int regnum, int save_restore_, const char *group_, int bitsize_, const char *type_)
virtual | ~tdesc_reg ()=default
| DISABLE_COPY_AND_ASSIGN (tdesc_reg)
void | accept (tdesc_element_visitor &v) const override
bool | operator== (const tdesc_reg &other) const
bool | operator!= (const tdesc_reg &other) const

## Public Attributes
std::string | name
long | target_regnum
int | save_restore
std::string | group
int | bitsize
std::string | type
struct tdesc_type * | tdesc_type

## Detailed Description

Definition at line 79 of file target-descriptions.c.

## Constructor & Destructor Documentation

## ◆ tdesc_reg()

tdesc_reg::tdesc_reg | ( | struct tdesc_feature * | feature,
|  | const std::string & | name_,
|  | int | regnum,
|  | int | save_restore_,
|  | const char * | group_,
|  | int | bitsize_,
|  | const char * | type_
| ) |  |
| inline

Definition at line 81 of file target-descriptions.c.

References tdesc_named_type().

## ◆ ~tdesc_reg()

virtual tdesc_reg::~tdesc_reg | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ accept()

void tdesc_reg::accept | ( | tdesc_element_visitor & | v | ) | const
| inline override virtual

Implements tdesc_element.

Definition at line 132 of file target-descriptions.c.

References tdesc_element_visitor::visit().

## ◆ DISABLE_COPY_AND_ASSIGN()

tdesc_reg::DISABLE_COPY_AND_ASSIGN | ( | tdesc_reg |  | ) |

## ◆ operator!=()

bool tdesc_reg::operator!= | ( | const tdesc_reg & | other | ) | const
| inline

Definition at line 147 of file target-descriptions.c.

## ◆ operator==()

bool tdesc_reg::operator== | ( | const tdesc_reg & | other | ) | const
| inline

Definition at line 137 of file target-descriptions.c.

References bitsize, group, name, save_restore, target_regnum, and type.

## Member Data Documentation

## ◆ bitsize

int tdesc_reg::bitsize

Definition at line 122 of file target-descriptions.c.

Referenced by operator==().

## ◆ group

std::string tdesc_reg::group

Definition at line 119 of file target-descriptions.c.

Referenced by operator==().

## ◆ name

std::string tdesc_reg::name

Definition at line 102 of file target-descriptions.c.

Referenced by operator==().

## ◆ save_restore

int tdesc_reg::save_restore

Definition at line 111 of file target-descriptions.c.

Referenced by operator==().

## ◆ target_regnum

long tdesc_reg::target_regnum

Definition at line 107 of file target-descriptions.c.

Referenced by operator==().

## ◆ tdesc_type

struct tdesc_type* tdesc_reg::tdesc_type

Definition at line 130 of file target-descriptions.c.

## ◆ type

std::string tdesc_reg::type

Definition at line 127 of file target-descriptions.c.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/target-descriptions.c